<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>ervu_secret</groupId>
  <artifactId>ervu_secret</artifactId>
  <version>1.0.0-SNAPSHOT</version>
  <packaging>pom</packaging>
  <modules>
    <module>backend</module>
    <module>resources</module>
  </modules>
  <scm>
    <connection>scm:git:git://gitserver/webbpm/webbpm-components.git</connection>
  </scm>
  <properties>
    <spring-security-kerberos.version>1.0.1.RELEASE</spring-security-kerberos.version>
    <org.bouncycastle.version>1.60</org.bouncycastle.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <enable.version.in.url>false</enable.version.in.url>
    <joda-time.version>2.9.2</joda-time.version>
    <webbpm-platform.version>3.180.0</webbpm-platform.version>
    <wbp.overall-timeout>72000</wbp.overall-timeout>
    <jasperreports.version>6.15.0</jasperreports.version>
  </properties>
  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>ru.cg.webbpm</groupId>
        <artifactId>platform-bom</artifactId>
        <version>${webbpm-platform.version}</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
      <dependency>
        <groupId>ervu_secret.ervu_secret</groupId>
        <artifactId>backend</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.packages.base</groupId>
        <artifactId>backend</artifactId>
        <version>3.180.0</version>
        <exclusions>
          <exclusion>
            <groupId>ru.cg.webbpm.modules.bpmn</groupId>
            <artifactId>bpmn-workflow-api</artifactId>
          </exclusion>
          <exclusion>
            <groupId>ru.cg.webbpm.modules.bpmn</groupId>
            <artifactId>bpmn-workflow-jbpm-api</artifactId>
          </exclusion>
          <exclusion>
            <groupId>ru.cg.webbpm.modules.bpmn</groupId>
            <artifactId>bpmn-workflow-jbpm</artifactId>
          </exclusion>
          <exclusion>
            <groupId>ru.cg.webbpm.modules.bpmn</groupId>
            <artifactId>bpmn-deploy</artifactId>
          </exclusion>
          <exclusion>
            <groupId>ru.cg.webbpm.modules.bpmn</groupId>
            <artifactId>bpmn-beans</artifactId>
          </exclusion>
          <exclusion>
            <groupId>ru.cg.webbpm.modules.bpmn</groupId>
            <artifactId>bpmn-variable-condition-adapter</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>ervu_secret.ervu_secret</groupId>
        <artifactId>frontend</artifactId>
        <version>${project.version}</version>
        <type>war</type>
      </dependency>
      <dependency>
        <groupId>ervu_secret.ervu_secret</groupId>
        <artifactId>resources</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting.reporting-jasper</groupId>
        <artifactId>reporting-jasper-fonts</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.core</groupId>
        <artifactId>core-runtime-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.core</groupId>
        <artifactId>error-handling-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.core</groupId>
        <artifactId>metrics</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.webkit</groupId>
        <artifactId>active-users-tracker</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.resources</groupId>
        <artifactId>resources-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.resources</groupId>
        <artifactId>resources-impl</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.resources</groupId>
        <artifactId>resources-impl-development</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules</groupId>
        <artifactId>webkit-base</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules</groupId>
        <artifactId>webkit-beans</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.database</groupId>
        <artifactId>database-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.database</groupId>
        <artifactId>database-impl</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.security</groupId>
        <artifactId>security-beans</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.security</groupId>
        <artifactId>security-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.bpmn</groupId>
        <artifactId>bpmn-workflow-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.bpmn</groupId>
        <artifactId>bpmn-workflow-jbpm-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.bpmn</groupId>
        <artifactId>bpmn-workflow-jbpm</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.bpmn</groupId>
        <artifactId>bpmn-deploy</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.bpmn</groupId>
        <artifactId>bpmn-beans</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.bpmn</groupId>
        <artifactId>bpmn-variable-condition-adapter</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules</groupId>
        <artifactId>webkit-rpc</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.jndi</groupId>
        <artifactId>jndi-beans</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.jndi</groupId>
        <artifactId>jndi-inject</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.database</groupId>
        <artifactId>database-test</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules</groupId>
        <artifactId>standard-annotations</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules</groupId>
        <artifactId>inject</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting</groupId>
        <artifactId>reporting-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting</groupId>
        <artifactId>reporting-runtime-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting</groupId>
        <artifactId>reporting-runtime-impl</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting.reporting-jasper</groupId>
        <artifactId>reporting-jasper-impl</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting.reporting-jasper</groupId>
        <artifactId>reporting-jasper-runtime-impl</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
        <exclusions>
          <exclusion>
            <groupId>bouncycastle</groupId>
            <artifactId>bcmail-jdk14</artifactId>
          </exclusion>
          <exclusion>
            <groupId>bouncycastle</groupId>
            <artifactId>bcprov-jdk14</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk14</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcmail-jdk14</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting.reporting-xdoc</groupId>
        <artifactId>reporting-xdoc-impl</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.reporting.reporting-xdoc</groupId>
        <artifactId>reporting-xdoc-runtime-impl</artifactId>
        <version>${webbpm-platform.version}</version>
        <scope>runtime</scope>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.security</groupId>
        <artifactId>security-esia</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.security</groupId>
        <artifactId>security-db-synchronization-api</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>ru.cg.webbpm.modules.security</groupId>
        <artifactId>security-db-synchronization-ldap-impl</artifactId>
        <version>${webbpm-platform.version}</version>
      </dependency>
      <dependency>
        <groupId>org.bouncycastle</groupId>
        <artifactId>bcprov-jdk15on</artifactId>
        <version>${org.bouncycastle.version}</version>
      </dependency>
      <dependency>
        <groupId>org.bouncycastle</groupId>
        <artifactId>bcpkix-jdk15on</artifactId>
        <version>${org.bouncycastle.version}</version>
      </dependency>
      <dependency>
        <groupId>org.springframework.security.kerberos</groupId>
        <artifactId>spring-security-kerberos-core</artifactId>
        <version>${spring-security-kerberos.version}</version>
      </dependency>
      <dependency>
        <groupId>org.springframework.security.kerberos</groupId>
        <artifactId>spring-security-kerberos-web</artifactId>
        <version>${spring-security-kerberos.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.httpcomponents</groupId>
        <artifactId>httpcore</artifactId>
        <version>4.4.12</version>
      </dependency>
      <dependency>
        <groupId>org.apache.httpcomponents</groupId>
        <artifactId>httpclient</artifactId>
        <version>4.5.1</version>
      </dependency>
      <dependency>
        <groupId>org.mnode.ical4j</groupId>
        <artifactId>ical4j</artifactId>
        <version>3.0.5</version>
      </dependency>
      <dependency>
        <groupId>org.apache.pdfbox</groupId>
        <artifactId>pdfbox</artifactId>
        <version>2.0.21</version>
      </dependency>
      <dependency>
        <groupId>org.odftoolkit</groupId>
        <artifactId>odfdom-java</artifactId>
        <version>0.8.7</version>
      </dependency>
      <dependency>
        <groupId>org.mockito</groupId>
        <artifactId>mockito-junit-jupiter</artifactId>
        <version>${mockito-jupiter.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.slf4j</groupId>
        <artifactId>slf4j-simple</artifactId>
        <version>1.7.28</version>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <repositories>
    <repository>
      <id>micord-public</id>
      <name>micord-public</name>
      <url>https://repo.micord.ru/repository/maven-public</url>
    </repository>
    <repository>
      <id>micord</id>
      <name>micord</name>
      <url>https://repo.micord.ru/repository/maven-micord</url>
    </repository>
  </repositories>
  <pluginRepositories>
    <pluginRepository>
      <id>micord-public</id>
      <name>micord-public</name>
      <url>https://repo.micord.ru/repository/maven-public</url>
    </pluginRepository>
    <pluginRepository>
      <id>micord</id>
      <name>micord</name>
      <url>https://repo.micord.ru/repository/maven-micord</url>
    </pluginRepository>
  </pluginRepositories>
  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <artifactId>maven-clean-plugin</artifactId>
          <version>3.1.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-compiler-plugin</artifactId>
          <version>3.11.0</version>
          <configuration>
            <release>17</release>
            <forceJavacCompilerUse>true</forceJavacCompilerUse>
          </configuration>
        </plugin>
        <plugin>
          <artifactId>maven-deploy-plugin</artifactId>
          <version>3.1.1</version>
        </plugin>
        <plugin>
          <artifactId>maven-install-plugin</artifactId>
          <version>3.1.1</version>
        </plugin>
        <plugin>
          <artifactId>maven-jar-plugin</artifactId>
          <version>3.2.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-resources-plugin</artifactId>
          <version>3.1.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-site-plugin</artifactId>
          <version>3.9.1</version>
        </plugin>
        <plugin>
          <artifactId>maven-surefire-plugin</artifactId>
          <version>3.2.5</version>
          <configuration>
            <forkCount>3</forkCount>
            <reuseForks>true</reuseForks>
            <argLine>-Xmx1024m</argLine>
          </configuration>
        </plugin>
        <plugin>
          <artifactId>maven-war-plugin</artifactId>
          <version>3.1.0.cg1</version>
          <configuration>
            <attachClasses>true</attachClasses>
            <failOnMissingWebXml>false</failOnMissingWebXml>
            <archive>
              <manifest>
                <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
              </manifest>
              <manifestEntries>
                <Commit>${buildNumber}</Commit>
                <Dependencies>jdk.unsupported</Dependencies>
              </manifestEntries>
            </archive>
          </configuration>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>flatten-maven-plugin</artifactId>
        <version>1.3.0</version>
        <executions>
          <execution>
            <id>flatten.clean</id>
            <phase>clean</phase>
            <goals>
              <goal>clean</goal>
            </goals>
          </execution>
          <execution>
            <id>flatten</id>
            <phase>process-resources</phase>
            <goals>
              <goal>flatten</goal>
            </goals>
          </execution>
        </executions>
        <inherited>false</inherited>
        <configuration>
          <flattenMode>bom</flattenMode>
          <pomElements>
            <pluginManagement>resolve</pluginManagement>
          </pomElements>
          <updatePomFile>true</updatePomFile>
          <outputDirectory>/opt/buildAgent/work/d225ceb2ad727ec/project-archetype/target/classes</outputDirectory>
        </configuration>
      </plugin>
      <plugin>
        <groupId>com.amashchenko.maven.plugin</groupId>
        <artifactId>gitflow-maven-plugin</artifactId>
        <version>1.19.0-Micord.1</version>
        <configuration>
          <useSnapshotInRelease>true</useSnapshotInRelease>
          <useSnapshotInHotfix>true</useSnapshotInHotfix>
          <versionDigitToIncrement>1</versionDigitToIncrement>
          <pushRemote>true</pushRemote>
          <fetchRemote>true</fetchRemote>
          <commitDevelopmentVersionAtStart>true</commitDevelopmentVersionAtStart>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-enforcer-plugin</artifactId>
        <version>3.1.0</version>
        <executions>
          <execution>
            <id>enforce</id>
            <goals>
              <goal>enforce</goal>
            </goals>
            <configuration>
              <rules>
                <requireReleaseDeps>
                  <onlyWhenRelease>true</onlyWhenRelease>
                </requireReleaseDeps>
                <requirePluginVersions>
                  <unCheckedPluginList>ru.cg.webbpm.studio.plugins:java-metadata-plugin,ru.cg.webbpm.studio.plugins:rpc-generation-plugin,ru.cg.webbpm.studio.application:build-plugin,ru.cg.webbpm.studio.plugins:db-relation-plugin</unCheckedPluginList>
                </requirePluginVersions>
                <requireManagedDeps implementation="org.commonjava.maven.enforcer.rule.EnforceManagedDepsRule">
                  <checkProfiles>true</checkProfiles>
                  <failOnViolation>true</failOnViolation>
                  <regexIgnored>
                    <regexIgnored>postgresql</regexIgnored>
                  </regexIgnored>
                </requireManagedDeps>
                <requireMavenVersion>
                  <version>[3.6.0,)</version>
                </requireMavenVersion>
                <requireJavaVersion>
                  <version>[17,)</version>
                </requireJavaVersion>
                <compound implementation="com.github.ferstl.maven.pomenforcers.CompoundPedanticEnforcer">
                  <enforcers>MODULE_ORDER,PLUGIN_MANAGEMENT_ORDER</enforcers>
                </compound>
                <dependencyConfiguration implementation="com.github.ferstl.maven.pomenforcers.PedanticDependencyConfigurationEnforcer">
                  <manageVersions>true</manageVersions>
                  <allowUnmanagedProjectVersions>false</allowUnmanagedProjectVersions>
                  <manageExclusions>true</manageExclusions>
                </dependencyConfiguration>
              </rules>
            </configuration>
          </execution>
        </executions>
        <dependencies>
          <dependency>
            <groupId>org.commonjava.maven.enforcer</groupId>
            <artifactId>enforce-managed-deps-rule</artifactId>
            <version>1.2</version>
          </dependency>
          <dependency>
            <groupId>com.github.ferstl</groupId>
            <artifactId>pedantic-pom-enforcers</artifactId>
            <version>2.1.0</version>
          </dependency>
        </dependencies>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>buildnumber-maven-plugin</artifactId>
        <version>3.0.0</version>
        <executions>
          <execution>
            <phase>validate</phase>
            <goals>
              <goal>create</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>build-helper-maven-plugin</artifactId>
        <version>3.2.0</version>
      </plugin>
    </plugins>
  </build>
  <profiles>
    <profile>
      <id>studio</id>
    </profile>
    <profile>
      <id>dev</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <build>
        <plugins>
          <plugin>
            <groupId>ru.cg.webbpm.studio.application</groupId>
            <artifactId>build-plugin</artifactId>
            <version>${webbpm-platform.version}</version>
            <executions>
              <execution>
                <id>buildProject</id>
                <goals>
                  <goal>buildProject</goal>
                </goals>
              </execution>
            </executions>
            <inherited>false</inherited>
            <configuration>
              <overallTimeout>${wbp.overall-timeout}</overallTimeout>
            </configuration>
          </plugin>
        </plugins>
      </build>
      <modules>
        <module>distribution</module>
        <module>frontend</module>
      </modules>
    </profile>
    <profile>
      <id>prod</id>
      <build>
        <plugins>
          <plugin>
            <groupId>ru.cg.webbpm.studio.application</groupId>
            <artifactId>build-plugin</artifactId>
            <version>${webbpm-platform.version}</version>
            <executions>
              <execution>
                <id>buildProject</id>
                <goals>
                  <goal>buildProject</goal>
                </goals>
              </execution>
            </executions>
            <inherited>false</inherited>
            <configuration>
              <overallTimeout>${wbp.overall-timeout}</overallTimeout>
            </configuration>
          </plugin>
        </plugins>
      </build>
      <modules>
        <module>distribution</module>
        <module>frontend</module>
      </modules>
    </profile>
    <profile>
      <id>unpack-studio</id>
      <build>
        <pluginManagement>
          <plugins>
            <plugin>
              <artifactId>maven-dependency-plugin</artifactId>
              <executions>
                <execution>
                  <id>unpack</id>
                  <phase>process-resources</phase>
                  <goals>
                    <goal>unpack</goal>
                  </goals>
                </execution>
              </executions>
              <configuration>
                <artifactItems>
                  <artifactItem>
                    <groupId>ru.cg.webbpm.studio.application</groupId>
                    <artifactId>launcher-full</artifactId>
                    <classifier>install</classifier>
                    <type>zip</type>
                    <version>${webbpm-platform.version}</version>
                    <overWrite>true</overWrite>
                    <outputDirectory>../</outputDirectory>
                  </artifactItem>
                </artifactItems>
              </configuration>
            </plugin>
          </plugins>
        </pluginManagement>
      </build>
    </profile>
    <profile>
      <id>enable-version-in-url</id>
      <properties>
        <enable.version.in.url>true</enable.version.in.url>
      </properties>
    </profile>
  </profiles>
</project>
